- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# bucket Struct Reference

## Data Fields
filePath * | data
int | allocated
int | firstFree

## Detailed Description

Definition at line 19 of file hash.c.

## Field Documentation

struct filePath* bucket::data`[read]`

Definition at line 20 of file hash.c.

Referenced by htAddToTable(), htFreeHashTable(), htIterGetNext(), htNewTable(), htRemoveFromTable(), and in_table_aux().

int bucket::allocated

Definition at line 21 of file hash.c.

Referenced by htAddToTable(), and htNewTable().

int bucket::firstFree

Definition at line 22 of file hash.c.

Referenced by htAddToTable(), htFreeHashTable(), htHashStats(), htIterGetNext(), htNewTable(), htRemoveFromTable(), and in_table_aux().

The documentation for this struct was generated from the following file:

- python/hash.c